%define subrel 2
%define build_vala	1

%define glibapi		2.0
%define glibmajor	1
%define libglib		%mklibname spice-client-glib %{glibapi} %{glibmajor}
%define glibgir		%mklibname spice-client-glib-gir %{glibapi}
%define gtkapi		3.0
%define gtkmajor	1
%define libgtk		%mklibname spice-client-gtk %{gtkapi} %{gtkmajor}
%define gtkgir		%mklibname spice-client-gtk-gir %{gtkapi}
%define controllermajor	0
%define libcontroller	%mklibname spice-controller %{controllermajor}
%define develname	%mklibname -d %{name}

Name:		spice-gtk
Version:	0.9
Release:	%mkrel 1
Summary:	A GTK client widget for accessing SPICE desktop servers
Group:		Networking/Remote access
URL:		http://spice-space.org/page/Spice-Gtk
License:	LGPLv2+
Source:		http://www.spice-space.org/download/gtk/%{name}-%{version}.tar.bz2
Patch1:		spice-gtk-fix-linking.patch
Patch2:		0003-CVE-2012-4425.patch
Patch3:		0001-acl-helper-Use-ruid-of-invoker-rather-than-.patch
BuildRequires:	pkgconfig(cairo) >= 1.2.0
BuildRequires:	pkgconfig(celt051) >= 0.5.1.1
BuildRequires:	pkgconfig(gio-2.0) >= 2.10.0
BuildRequires:	pkgconfig(glib-2.0) >= 2.22
BuildRequires:	pkgconfig(gobject-2.0)
BuildRequires:	pkgconfig(gobject-introspection-1.0) >= 0.9.4
BuildRequires:	pkgconfig(gthread-2.0) > 2.0.0
BuildRequires:	pkgconfig(gtk+-3.0) >= 2.91.3
BuildRequires:	pkgconfig(gtk+-x11-3.0)
BuildRequires:	pkgconfig(gudev-1.0)
BuildRequires:	pkgconfig(libcacard) >= 0.1.2
BuildRequires:	pkgconfig(libpulse)
BuildRequires:	pkgconfig(libpulse-mainloop-glib)
BuildRequires:	pkgconfig(libusb-1.0) >= 1.0.9
BuildRequires:	pkgconfig(libusbredirhost) >= 0.3.3
BuildRequires:	pkgconfig(openssl)
BuildRequires:	pkgconfig(pixman-1) >= 0.17.7
BuildRequires:	pkgconfig(polkit-gobject-1)
BuildRequires:	pkgconfig(spice-protocol) >= 0.10.1
BuildRequires:	pkgconfig(spice-client-glib-2.0)
BuildRequires:	pkgconfig(x11)
BuildRequires:	pkgconfig(xrandr)
BuildRequires:	gtk-doc >= 1.14
BuildRequires:	libsasl2-devel
BuildRequires:	libjpeg-devel
BuildRequires:	gettext-devel
BuildRequires:	perl-Text-CSV
BuildRequires:	intltool
BuildRequires:	ldetect-lst

%if %{build_vala}
BuildRequires:	vala
BuildRequires:	vala-tools
%endif

%description
Spice-GTK is a GTK client widget for accessing SPICE desktop 
servers. This package contains two simple clients based on the 
library:
  spicy is a client to access SPICE desktops.
  snappy is a tool to capture screen-shots of a SPICE desktop.

%package -n %{libglib}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libglib}
Runtime libraries for %{name}.

%package -n %{glibgir}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libglib} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{glibgir}
GObject introspection interface library for %{name}.

%package -n %{libgtk}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Obsoletes: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libgtk}
Runtime libraries for %{name}.

%package -n %{gtkgir}
Summary: GObject introspection interface library for %{name}
Group: System/Libraries
Requires: %{libgtk} = %{version}-%{release}
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{gtkgir}
GObject introspection interface library for %{name}.

%package -n %{libcontroller}
Summary: Runtime libraries for %{name}
Group: System/Libraries
Conflicts: %{_lib}spice-gtk3.0_1 < 0.7.81-2

%description -n %{libcontroller}
Runtime libraries for %{name}.

%package -n %{develname}
Summary: Development files for %{name}
Group: Development/C
Requires: %{libglib} = %{version}-%{release}
Requires: %{libgtk} = %{version}-%{release}
Requires: %{libcontroller} = %{version}-%{release}
Provides: %{name}-devel = %{version}-%{release}
Obsoletes: %{_lib}spice-gtk3.0-devel < 0.7.81-2

%description -n %{develname}
Development files for %{name}.

%prep
%setup -q
%apply_patches

%build
autoreconf -ifv
%configure2_5x \
	--with-gtk=%{gtkapi} \
	--disable-static \
%if %{build_vala}
	--enable-vala \
%else
	--disable-vala \
%endif
	--enable-introspection=yes \
	--enable-usbredir \
	--with-pnp-ids-path=%{_datadir}/misc/pnp.ids

%make V=1

%install
rm -rf %{buildroot}
%makeinstall_std

rm -f %{buildroot}%{_libdir}/*.la

%if ! %{build_vala}
	rm -rf %{buildroot}%{_datadir}/vala/
%endif

%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/snappy
%{_bindir}/spicy
%{_bindir}/spicy-stats
%{_bindir}/spice-client-glib-usb-acl-helper
%{_datadir}/polkit-1/actions/org.spice-space.lowlevelusbaccess.policy

%files -n %{libglib}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}
%{_libdir}/libspice-client-glib-%{glibapi}.so.%{glibmajor}.*

%files -n %{glibgir}
%{_libdir}/girepository-1.0/SpiceClientGLib-%{glibapi}.typelib

%files -n %{libgtk}
%{_libdir}/libspice-client-gtk-%{gtkapi}.so.%{gtkmajor}
%{_libdir}/libspice-client-gtk-%{gtkapi}.so.%{gtkmajor}.*

%files -n %{gtkgir}
%{_libdir}/girepository-1.0/SpiceClientGtk-%{gtkapi}.typelib

%files -n %{libcontroller}
%{_libdir}/libspice-controller.so.%{controllermajor}
%{_libdir}/libspice-controller.so.%{controllermajor}.*

%files -n %{develname}
%doc %{_datadir}/gtk-doc/html/spice-gtk
%{_includedir}/spice-client-glib-2.0
%{_includedir}/spice-client-gtk-3.0/
%{_includedir}/spice-controller/
%{_libdir}/libspice-client-glib-2.0.so
%{_libdir}/libspice-client-gtk-3.0.so
%{_libdir}/libspice-controller.so
%{_libdir}/pkgconfig/spice-client-glib-2.0.pc
%{_libdir}/pkgconfig/spice-client-gtk-3.0.pc
%{_libdir}/pkgconfig/spice-controller.pc
%{_datadir}/gir-1.0/SpiceClientGLib-2.0.gir
%{_datadir}/gir-1.0/SpiceClientGtk-3.0.gir
%if %{build_vala}
%{_datadir}/vala/vapi/spice-protocol.vapi
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.deps
%{_datadir}/vala/vapi/spice-client-glib-%{glibapi}.vapi
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi}.deps
%{_datadir}/vala/vapi/spice-client-gtk-%{gtkapi}.vapi
%endif


%changelog
* Sun Sep 22 2013 colin <colin> 0.9-1.2.mga2
+ Revision: 483323
- Make polkit usage secure (mga#11260 CVE-2013-4324)
- Apply patch from Fedora (teuf) to clean environment before using dbus in setuid (mga#7536)

  + ovitters <ovitters>
    - add upstream patch to fix linking
    - fix buildrequires
    - explicitly enable usbredir to turn missing BR into clear build errors
    - fix buildrequires
    - new version
    - drop merged patches

* Wed Dec 21 2011 wally <wally> 0.7.150-2.mga2
+ Revision: 185488
- add P1 to fix build with vala
- enable introspection for sure
- add configure option to use our pnp.ids

  + ovitters <ovitters>
    - enable vala
    - do not run autoreconf/intltoolize

* Tue Dec 20 2011 wally <wally> 0.7.150-1.mga2
+ Revision: 185028
- new version 0.7.150
- rediff P1
- drop P2 and P3
- disable vala build for now

* Thu Dec 01 2011 ovitters <ovitters> 0.7.81-3.mga2
+ Revision: 174944
- package vala bindings
- fix gtk version
- fix typo

  + fwang <fwang>
    - split libs
    - convert br into pkgconfig style

* Thu Dec 01 2011 fwang <fwang> 0.7.81-1.mga2
+ Revision: 174850
- fix linkage

  + ovitters <ovitters>
    - verbose build
    - fix buildrequires
    - fix buildrequires
    - fix buildrequires
    - new version 0.7.81

* Wed Jul 20 2011 fwang <fwang> 0.7-1.mga2
+ Revision: 126930
- update file list
- more str fmt fix
- fix multiple definition
- br libcacard
- bump br
- new version 0.7

* Thu Jun 23 2011 cjw <cjw> 0.6-1.mga2
+ Revision: 112680
- add BuildRequires: libsasl2-devel
- add BuildRequires: intltool
- add BuildRequires: gettext-devel
- 0.6 (new import)

  + saispo <saispo>
    - imported package spice-gtk

